
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>[Emacs-cgi] 登入页面 / iVAN</title>

    <meta name="description" content="[Emacs-cgi] 登入页面 最新进展:Emacs-cgi 加入对存取 Cookie 和 Session 的支持,以及页面之间跳转(redirect和forward).项目地址:https://github.com/redraiment/emacs-cgi.下面以一个登入页面作为示例: 首先是首页:如果用户为登入,显示输入框提示用户输入用户名:否则输出欢迎词. #!/usr/local/bin/elisp (require 'cgi) (html (head (title &quot;Hello Session&quot;) ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">[Emacs-cgi] 登入页面</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>最新进展：Emacs-cgi 加入对存取 Cookie 和 Session 的支持，以及页面之间跳转（redirect和forward）。项目地址：<a href="https://github.com/redraiment/emacs-cgi" rel="external nofollow noreferrer">https://github.com/redraiment/emacs-cgi</a>。下面以一个登入页面作为示例：</p>
<p>首先是首页：如果用户为登入，显示输入框提示用户输入用户名；否则输出欢迎词。</p>
<pre>#!/usr/local/bin/elisp

(require 'cgi)

(html
 (head
  (title "Hello Session")
  (meta (http-equiv . "Content-Type")
        (content . "text/html; charset=UTF-8")))
 (body
  (h1 "Welcome to Emacs Lisp CGI")
   &lt;%
   (if (cgi/session "name")
       (form (method . post) (action . "logout.el")
        (div
         "Hello " &lt;%= (cgi/session "name") %&gt;
         (button (type . submit) logout)))
     (form (method . post) (action . "login.el")
      (div
       "My name is: "
       (input (type . text)
              (name . name))
       (button (type . submit) Submit))))
   %&gt;)))
</pre>
<p>然后登入处理页面，在 session 中设置名字。</p>
<pre>#!/usr/local/bin/elisp

(require 'cgi)

(if (cgi/param "name")
    (cgi/session "name" (cgi/param "name")))
(cgi/redirect "index.el")</pre>
<p>最后是退出处理页面，即清空 session 中的值。</p>
<pre>#!/usr/local/bin/elisp

(require 'cgi)

(cgi/remove-session "name")
(cgi/redirect "index.el")
</pre>
<p>运行效果：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3Jhdy5naXRodWIuY29tL3JlZHJhaW1lbnQvZW1hY3MtY2dpL21hc3Rlci9zYW1wbGUvbG9naW4vbG9naW4ucG5n.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3Jhdy5naXRodWIuY29tL3JlZHJhaW1lbnQvZW1hY3MtY2dpL21hc3Rlci9zYW1wbGUvbG9naW4vbG9nb3V0LnBuZw==.jpg"></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-13 04:53:11</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/index/" title="index">index</a>, <a href="https://www.iamivan.net/tag/form/" title="form">form</a>, <a href="https://www.iamivan.net/tag/session/" title="session">session</a>, <a href="https://www.iamivan.net/tag/html/" title="html">html</a>, <a href="https://www.iamivan.net/tag/require/" title="require">require</a>, <a href="https://www.iamivan.net/tag/cgi/" title="cgi">cgi</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>[Emacs-cgi] 登入页面的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zG3Vk2z.html" rel="bookmark">【求助】登入页面，部署后发生样式异常</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 开发了一个网页版登入页面,开发环境允许正常,部署到iis后出现3个异常第一个问题:开发环境鼠标放在链接上左下显示链接内容,部署后消失第二个问题:开发环境下登入名输入框有样式,部署后样式消失第三个问题:超链接内容开发环境下为uniwebview://login?success=0,部署后变成uniwebview://login/?success=0问号前面多了一个斜杠求大神解救 解决方案 本帖最后由 baidu_27227527 于 2015-05-12 18:41:43 编辑解决方案二			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MN1Pkdb.html" rel="bookmark">怎么用qq帐号登入百度经验写经验&quest;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  首先进入浏览器,在输入框里输入(百度经验)进行搜素,如图所示: 第二,我们选择(百度经验官网),如图所示: 第三,选择(登入)页面,如图所示: 第四,登入百度帐号可以用手机号,邮箱,微信号,QQ号,选择QQ号登入,如图所示: 第五,QQ号登入好之后,选择(发布经验)就可以写经验了,如图所示:			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MxYy5Qp.html" rel="bookmark">php 简单的登入登出实例程序&lpar;session&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关于会话处理 HTTP 是一种无状态的协议,说明每次请求的处理都与之前或之后的 请求无关,但是为了能够调整用户特有的行为和首选项,出现了一种在客户端存储少量信息(常称为cookie)的实践,但由于 cookie 大小的限制.所允许的 cookie 数量以及 cookie 的实现上的各种不一致,出现了另外一种解决方案:会话处理. 会话处理的实现方式是为每位网站访问者分配一个称之为会话 ID(SID)的唯一标识属性,然后将此 SID 与任意数量的数据关联. 开始会话 session_start();			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRNBVqM.html" rel="bookmark">初学&period;NET的小菜鸟求救~~用户登入&plus;信息查询问题&hellip;&hellip;&hellip;&hellip;&hellip;&hellip;急~十万火急</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 老师要求做一个简单的住宅区里用的小页面~~~~是用VB.NET和ACCESS来做~~功能要求是--1,住户登入页面(账号为住户的门牌号,密码是户主的身份证号)2,登入后进入查询页面--说白了也就是一张表格--主要是查询住户上月由物业管理收缴的各项费用(卫生费,治安费,车位费等)和代缴的费用(水费电费煤气费等)3,管理员登入界面,登入后可以添加修改用户信息,以及收费信息.刚学.NET~~代码我不太懂,特别是数据库链接的问题~~~~~我同学说不用代码,LOGIN可以直接链接到数据库的--但			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7XKgqb.html" rel="bookmark">Ajax基础与登入教程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Ajax 是 Asynchronous JavaScript and XML的缩写. Ajax的优点: 优点:减轻服务器的负担,按需取数据,最大程度的减少冗余请求 局部刷新页面,减少用户心理和实际的等待时间,带来更好的用户体验 基于xml标准化,并被广泛支持,不需安装插件等 进一步促进页面和数据的分离 Ajax包含下列技术: 基于web标准(standards-based presentation)XHTML+CSS的表示: 使用 DOM(Document Object Model)进行动态显示			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mywkakz.html" rel="bookmark">root-Linux系统，账户密码正确但无法登入</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 Linux系统,账户密码正确但无法登入 ..Oracle账户也登不上去.我想,也许所有的账户都无法登陆吧.. 已重新安装系统..问题关闭..话说..csdn怎么关闭问题.. --------以上为7.15更新------------ 我之前并没有安装图形页面,一直是命令行页面. 不过现在通过远程安装了图形页面. --------以上为7.14更新------------ 密码肯定是正确的,因为,用其他电脑SecureCRT可以远程进去 --------以上为7.10更新--------			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MRqvweb.html" rel="bookmark">httpclient模拟登入 多用户登入并发操作怎么解决</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 httpclient模拟登入 多用户登入并发操作怎么解决 .最近写了一个模拟登陆集大教务处获取成绩的页面,但是只能一个用户登入,如果另外一个用户登入了 ,前一个用户查出来的成绩就是后一个用户的. httpclient有提供相关策略吗? 该如何解决呢 万谢! 求不要告诉我带上cookie 我试过了 带上也没用 一个httpclient相当于一个浏览器 你第一个用户获取的cookie和第2个用户获取的cookie是一样的 谢谢~ 解决方案 可以禁用httpclient的保持会话的功能,自己			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPB8lrb.html" rel="bookmark">前台使用水晶报表的时候弹出数据库登入怎么去除</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 前台使用水晶报表的时候弹出数据库登入怎么去除 新建了水晶报表之后,前台打开页面,一直报要登入数据库,验证,取消掉么又是正常的,要怎么样才可以取消掉这个弹出框呢?			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnKnjjz.html" rel="bookmark">数据包-如何用C&num;的winform程序后台访问并且登入大型网站？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 如何用C#的winform程序后台访问并且登入大型网站? 如何用C#的winform程序后台访问并且登入大型网站?我想做一个百度贴吧一键签到的功能来练手.大致想法是用C# 写一个winform程序用户输入自己的帐号密码之后 我模拟一个数据包发送给百度 得到一个类似session的东西然后再去进行贴吧签到(应该是访问某个地址即可,暂时还没研究) 难点就是 怎么用c#来完成我上述说的网络访问的过程.. 解决方案 用HttpWebRequest post数据,post的格式你可以先抓包分析一			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYjnrp.html" rel="bookmark" class="title">JS遍历domlist时出现的问题</a>
					<div>
						问题描述 JS遍历domlist时出现的问题 5C JS代码是这样的var eleList = document.getElementsByClassName(&quot;&quot;flip&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgdqEp.html" rel="bookmark" class="title">SQL SERVER 2005数据库镜像（3）</a>
					<div>
						因为Server A无法看见见证服务器Server W或者原先的镜像伙伴Server B,因此必须进入disconnected状态并使数据库不可用. Server B和Server W可以组成quor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4r39M.html" rel="bookmark" class="title">利用ASP的文件操作实现用户管理</a>
					<div>
						用户管理 简单.好用.开发效率高等等是ASP的优点,但是其系统操作方面如文件操作等则 是比较微弱的.要想实现这方面的功能,只有采取调用组件的办法. FileSystemObject对象就是一个例子.A ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlw3Vb.html" rel="bookmark" class="title">百度知道的另类外链方式 你不知道的秘密</a>
					<div>
						我们都知道,百度知道里面很大再放外链了,以前的互相回答提问给外链已经没有办法通过了,最近也有很多站长在写文指出没有必要再做百度产品外链了.笔者今天用一个事实来证明,即使没有外链,百度知道依然可以成为你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5JJAz.html" rel="bookmark" class="title">ADO&period;NET对象的构造&lpar;7&rpar;</a>
					<div>
						ado|对象 n Overloads Public Overridable Function Add(ByVal value As Object) As Integer Implements ILis ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zOvYQp.html" rel="bookmark" class="title">让您的主页支持各种浏览设备（ASP&period;NET篇&rpar;&lpar;下）</a>
					<div>
						ASP+ 的移动控制 如果媒体的新闻和广告是可以相信的话,我们在不久的将来会使用很小的电话或者其它手机设备来访问互联网.OK,这只是一个比较乐观的估计,但是有一点是可以肯定的,那就是访问您站点的访问者 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB2YEAb.html" rel="bookmark" class="title">JavaScript窗口及输入输出</a>
					<div>
						JavaScript是基于对象的脚本编程语言,那么它的输入输出就是通过对象来完成的.其中有关输入可通过窗口(Window)对象来完成,而输出可通过文档(document)对象的方法来实现. 一.窗口及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZO0Oqb.html" rel="bookmark" class="title">稳扎稳打Silverlight&lpar;15&rpar;</a>
					<div>
						稳扎稳打Silverlight(15) - 2.0数据之一次绑定,单向绑定,双向绑定,INotifyPropertyChanged,数据转换,数据验证 介绍 Silverlight 2.0 数据绑定: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRynqBb.html" rel="bookmark" class="title">J2SE综合：关于private构造函数</a>
					<div>
						看下面的类: HibernateSessionFactory.java package zy.pro.wd.util; import net.sf.hibernate.HibernateExcepti ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxagkb.html" rel="bookmark" class="title">敏捷体验设计师应该具备的12项技能</a>
					<div>
						Agile UX和传统瀑布式UX不同之处在于它与交付过程的强关联,对于人的要求也更加全面,这也意味着你将改变你曾经绝大部分时间只在角落里做一件事的习惯,你被要求更加开放和学会合作,而从技能交付出发,在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaOa3M.html" rel="bookmark" class="title">linux 如何结束进程</a>
					<div>
						首先使用ps -ef命令确定要杀死进程的PID,然后输入以下命令: # kill -pid 注释:标准的kill命令通常都能达到目的.终止有问题的进程,并把进程的资源释放给系统.然而,如果进程启动了子 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmRk5z.html" rel="bookmark" class="title">怎样打开windows的路由功能</a>
					<div>
						样打开windows的路由功能,步骤很简单,需要的朋友可以看看   打开windows的路由功能 1.windows NT: 打开注册表:regedit.exe 打到:HKEY_LOCAL_MACHI ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6RKVb.html" rel="bookmark" class="title">php-WCF操作Oracle数据库问题</a>
					<div>
						问题描述 WCF操作Oracle数据库问题 20C 用PHP写了一个调用WCF的程序,WCF可以正常发布,访问老是报错,试了很多种办法都还没有解决..WCF发布后可以正常访问,如下图:然后写了一个PH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvrLd5M.html" rel="bookmark" class="title">Android 中文件类型与MIME的匹配表</a>
					<div>
						原文:http://blog.csdn.net/bigapple88/article/details/6555868 背景介绍: MIME:全称Multipurpose Internet Mail E ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAPWlM.html" rel="bookmark" class="title">阿里云轻量应用服务器使用体验</a>
					<div>
						阿里云最近推出了一款叫做轻量应用服务器的产品.官网宣传的可以30秒一键启动应用:域名解析.网站发布.服务器管理等操作结合一体:包含应用管理,分析功能:镜像包括企业官网.个人博客.商城系统.论坛社区.知 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRYDVz.html" rel="bookmark" class="title">马云专访：时间会证明一切</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 马云(资料图片) 新浪科技讯 1月5日晚间消息,阿里巴巴集团董事局主席.CEO马云近日在接受了&lt;时尚先生&gt;杂志(esquire)专访,在专访 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QqA7p.html" rel="bookmark" class="title">半导体量子芯片开发获重要进展</a>
					<div>
						&quot;量子芯片&quot;是未来量子计算机的&quot;大脑&quot;.中国科学技术大学郭光灿院士领导的中科院量子信息重点实验室郭国平研究组,在量子芯片开发领域的一项重要进展,首次在砷化镓半导 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6NXyOM.html" rel="bookmark" class="title">iOS开发UI篇&mdash;常见的项目文件介绍</a>
					<div>
						一.项目文件结构示意图 二.文件介绍 1.products文件夹:主要用于mac电脑开发的可执行文件,ios开发用不到这个文件 2.frameworks文件夹主要用来放依赖的框架 3.test文件夹是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOm9L3M.html" rel="bookmark" class="title">JS实现Trim&lpar;&rpar;</a>
					<div>
						//此处为独立函数 function LTrim(str) { var i; for(i=0;i&lt;str.length;i++) { if(str.charAt(i)!=&quot; &quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK5oDb.html" rel="bookmark" class="title">网络商城运营中四个营销核心分享</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 网络商城运营讲究的是投入较少的资源和精力获得巨大的效果,这也是网络营销追求的效果,在营销学中最早就有一个4P理论,这个理论同样可以被用在网络商城的运营中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xkyZb.html" rel="bookmark" class="title">韩寒指责百度文库存在大量侵犯其著作权的文档</a>
					<div>
						6日,记者从北京市海淀区人民法院获悉,韩寒状告百度一案将于7月10日在该院开庭审理.韩寒指责百度文库存在大量侵犯其著作权的文档,要求法院判令百度关闭百度文库,连续七天在百度首页致歉,并赔偿经济损失.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5RNwqz.html" rel="bookmark" class="title">new-detecte时出错，内存操作问题</a>
					<div>
						问题描述 detecte时出错,内存操作问题 #include using namespace std; class MyString{ private: char* Buffer; public:  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodEEEM.html" rel="bookmark" class="title">cometprocessor-tomcate cometProcessor 报错</a>
					<div>
						问题描述 tomcate cometProcessor 报错 我想做一个服务器每一秒主动向浏览器推送一个时间的demo.程序如下: servlet public class CometTest ext ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eE81b.html" rel="bookmark" class="title">ERROR 2002 &lpar;HY000&rpar;&colon; Can&amp;&num;039&semi;t connect to local MySQL server through socket</a>
					<div>
						    在安装好了MySQL之后,使用了新的配置文件后,MySQL服务器可以成功启动,但在登陆的时候出现了ERROR 2002 (HY000): Can't connect to local MySQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWre5z.html" rel="bookmark" class="title">凤凰传媒创下沪市第三高价IPO 卖方机构针锋相对</a>
					<div>
						11月22日, 江苏凤凰出版传媒股份有限公司(凤凰传媒,601928.SH) 进行网上申购. 当天,凤凰传媒网上申购价为8.8元/股,对应发行后市盈高达63.4 倍.其发行市盈率创下今年下半年以来发行 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkZ1JM.html" rel="bookmark" class="title">甲骨文或推迟内部12&period;2数据库发布 旨在推动云版本销售</a>
					<div>
						近日,有消息人士透露,甲骨文想吸引更多客户使用其云服务,因此可能正在考虑推迟其下一主要数据库的内部更新版本,希望借此助力云版本的市场推广效果. 这位消息人士在采访中表示,甲骨文方面可能在未来两个月内会 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV70qYb.html" rel="bookmark" class="title">如何使用PHP编程说明第1&sol;3页&lowbar;php基础</a>
					<div>
						但是,要成为一名PHP编程高手却并不容易.并不像很多人想象的那样,只要能够飞快地编写几条简单的代码去解决一个复杂的问题就是PHP编程高手了,真正的PHP高手还需要考虑更多的其它问题.以下三条准则是一名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1WVWb.html" rel="bookmark" class="title">php下的权限算法的实现&lowbar;php技巧</a>
					<div>
						权限设计 大概有这几种模式 用户+组+角色+权限 用户+组+权限 用户+角色+权限 用户+权限 最近看了别人的设计方法大多以&quot;整数&quot;来表示权限值如添加.浏览.删除和修改分别用1.2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKgD5M.html" rel="bookmark" class="title">Java使用poi操作excel实例解析&lowbar;java</a>
					<div>
						本文实例为大家分享了Java使用poi操作excel的具体代码,供大家参考,具体内容如下 依赖poi的jar包,pom.xml配置如下: &lt;project xmlns=&quot;http:// ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqW0Z3z.html" rel="bookmark" class="title">JS模拟面向对象全解（一、类型及传递）&lowbar;javascript技巧</a>
					<div>
						可是,没有类,何来面向对象一说?没有关系,可以模拟.而且这一套方法已经成为公认的JS实现面向对象的方法. 另外,JS内的东西完全开发,也就不存在成员的什么private.protected作用域. 下 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
